%define oname	epc

%define api		1.0
%define major		3
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname %{oname} %{api} -d 

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Easy Publish and Consume library
Name:		libepc
Version:	0.4.4
Release:	%mkrel 3
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
BuildRequires:	intltool
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(avahi-ui) >= 0.6
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6
BuildRequires:	pkgconfig(gnutls) >= 1.4
BuildRequires:	pkgconfig(uuid) >= 1.36
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.10

%description
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package i18n
Summary:	Easy Publish and Consume library
Group:		System/Libraries

%description i18n
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package -n %{libname}
Group:		System/Libraries
Summary:	Easy Publish and Consume library
Requires:	%{name}-i18n = %{version}-%{release}

%description -n %{libname}
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package -n %{develname}
Group:		Development/C
Summary:	Easy Publish and Consume library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Conflicts:	%{mklibname %{oname} -d} < 0.4.0

%description -n %{develname}
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_libdir/libepc*.la

%find_lang %{name}

%check
#gw make check needs a running avahi daemon
#make check

%clean
rm -rf %{buildroot}

%files i18n -f %{name}.lang
%defattr(-,root,root)

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/%{name}-%{api}.so.%{major}*
%{_libdir}/%{name}-ui-%{api}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc NEWS ChangeLog AUTHORS
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}
%{_libdir}/libepc-%{api}.so
%{_libdir}/libepc-ui-%{api}.so
%{_libdir}/pkgconfig/libepc-%{api}.pc
%{_libdir}/pkgconfig/libepc-ui-%{api}.pc
%{_includedir}/libepc-%{api}
%{_includedir}/libepc-ui-%{api}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.4-3.mga4
+ Revision: 506935
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 357051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 fwang <fwang> 0.4.4-1.mga2
+ Revision: 203559
- new version 0.4.4

* Tue Nov 22 2011 fwang <fwang> 0.4.3-1.mga2
+ Revision: 170731
- new version 0.4.3

* Thu Oct 13 2011 wally <wally> 0.4.2-1.mga2
+ Revision: 154648
- new version 0.4.2
- drop upstream applied patch

* Fri Sep 30 2011 wally <wally> 0.4.1-1.mga2
+ Revision: 150515
- new version 0.4.1
- add P0 from upstream (avoid use of deprecated G_CONST_RETURN)
- new version 0.4.0
- new major 3
- fix devel package name
- clean .spec

  + fwang <fwang>
    - rebuild for new gnutls

* Tue Feb 15 2011 ahmad <ahmad> 0.3.11-3.mga1
+ Revision: 52028
- drop old/unneeded scriptlets
- imported package libepc


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.11-2mdv2011.0
+ Revision: 602540
- rebuild

* Tue Mar 23 2010 Götz Waschk <waschk@mandriva.org> 0.3.11-1mdv2010.1
+ Revision: 526803
- update to new version 0.3.11

* Sat Jan 02 2010 Götz Waschk <waschk@mandriva.org> 0.3.10-2mdv2010.1
+ Revision: 485007
- fix build deps

* Sat May 23 2009 Götz Waschk <waschk@mandriva.org> 0.3.10-1mdv2010.0
+ Revision: 378924
- update to new version 0.3.10

* Sun Feb 08 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 338533
- update to new version 0.3.9

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-3mdv2009.1
+ Revision: 309152
- rebuild to get rid of libtasn1 dep

* Sat Nov 08 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-2mdv2009.1
+ Revision: 301104
- rebuild for new libxcb

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 295993
- new version
- new major

* Sun Oct 19 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 295243
- new version
- remove build workaround

* Fri Oct 17 2008 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 294596
- fix build deps
- new version
- enable parallel build
- fix linking

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 192482
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 166151
- libsoup rebuild

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 159662
- fix buildrequires
- new version
- add translations

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2008.1
+ Revision: 152140
- new version
- new major

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 151887
- new version
- drop patch
- new major

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 136203
- fix build with glib 2.15

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 121673
- new version

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-3mdv2008.1
+ Revision: 115879
- bump release
- bump release
- import libepc


* Thu Dec  6 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.1
- initial package
